# return

## Definition:

The term “return” means to go back or to give something back.

* To “return to” something means to start doing that activity again. To “return to” a place or person means to bo back to that place or person again.
* When the Israelites returned to their worship of idols, they were starting to worship them again.
* When they returned to Yahweh, they repented and were worshiping Yahweh again.
* To return land or things that were taken or received from someone else means to give that property back to the person it belongs to.

(See also: [turn](../other/turn.md))

## Bible References:

## Word Data:

* Strong’s: H5437, H7725, H7729, H8421, H8666, G344, G360, G390, G1877, G1880, G1994, G5290
